Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tAnalogTrigger

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tAnalogTrigger

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tAnalogTrigger

extends tSystem

Field Summary
`static int` | `kNumSystems`
`static int` | `kOutput_ElementMask`
`static int` | `kOutput_ElementSize`
`static int` | `kOutput_NumElements`
`int` | `m_SystemIndex`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tAnalogTrigger(int sys_index)`

Method Summary
`protected void` | `finalize()`
`int` | `getSystemIndex()`
`int` | `readLowerLimit()`
`static boolean` | `readOutput_Falling(int bitfield_index)`
`static boolean` | `readOutput_InHysteresis(int bitfield_index)`
`static boolean` | `readOutput_OverLimit(int bitfield_index)`
`static boolean` | `readOutput_Rising(int bitfield_index)`
`static int` | `readOutput(int bitfield_index)`
`boolean` | `readSourceSelect_Averaged()`
`byte` | `readSourceSelect_Channel()`
`boolean` | `readSourceSelect_Filter()`
`boolean` | `readSourceSelect_FloatingRollover()`
`byte` | `readSourceSelect_Module()`
`short` | `readSourceSelect_RolloverLimit()`
`int` | `readSourceSelect()`
`int` | `readUpperLimit()`
`void` | `writeLowerLimit(int value)`
`void` | `writeSourceSelect_Averaged(boolean value)`
`void` | `writeSourceSelect_Channel(int value)`
`void` | `writeSourceSelect_Filter(boolean value)`
`void` | `writeSourceSelect_FloatingRollover(boolean value)`
`void` | `writeSourceSelect_Module(int value)`
`void` | `writeSourceSelect_RolloverLimit(int value)`
`void` | `writeSourceSelect(int value)`
`void` | `writeUpperLimit(int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### m_SystemIndex

    public final int m_SystemIndex

### kOutput_NumElements

    public static final int kOutput_NumElements

See Also:
  Constant Field Values

### kOutput_ElementSize

    public static final int kOutput_ElementSize

See Also:
  Constant Field Values

### kOutput_ElementMask

    public static final int kOutput_ElementMask

See Also:
  Constant Field Values

Constructor Detail

### tAnalogTrigger

    public tAnalogTrigger(int sys_index)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### getSystemIndex

    public int getSystemIndex()

### writeSourceSelect

    public void writeSourceSelect(int value)

### writeSourceSelect_Channel

    public void writeSourceSelect_Channel(int value)

### writeSourceSelect_Module

    public void writeSourceSelect_Module(int value)

### writeSourceSelect_Averaged

    public void writeSourceSelect_Averaged(boolean value)

### writeSourceSelect_Filter

    public void writeSourceSelect_Filter(boolean value)

### writeSourceSelect_FloatingRollover

    public void writeSourceSelect_FloatingRollover(boolean value)

### writeSourceSelect_RolloverLimit

    public void writeSourceSelect_RolloverLimit(int value)

### readSourceSelect

    public int readSourceSelect()

### readSourceSelect_Channel

    public byte readSourceSelect_Channel()

### readSourceSelect_Module

    public byte readSourceSelect_Module()

### readSourceSelect_Averaged

    public boolean readSourceSelect_Averaged()

### readSourceSelect_Filter

    public boolean readSourceSelect_Filter()

### readSourceSelect_FloatingRollover

    public boolean readSourceSelect_FloatingRollover()

### readSourceSelect_RolloverLimit

    public short readSourceSelect_RolloverLimit()

### writeUpperLimit

    public void writeUpperLimit(int value)

### readUpperLimit

    public int readUpperLimit()

### writeLowerLimit

    public void writeLowerLimit(int value)

### readLowerLimit

    public int readLowerLimit()

### readOutput

    public static int readOutput(int bitfield_index)

### readOutput_InHysteresis

    public static boolean readOutput_InHysteresis(int bitfield_index)

### readOutput_OverLimit

    public static boolean readOutput_OverLimit(int bitfield_index)

### readOutput_Rising

    public static boolean readOutput_Rising(int bitfield_index)

### readOutput_Falling

    public static boolean readOutput_Falling(int bitfield_index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"